Bug 40033 - uninstall of self-service leaves broken links
uninstall of self-service leaves broken links
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Self Service
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-0-errata
Assigned To: Daniel Tröder
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 11:00 CET by Daniel Tröder
Modified: 2015-12-09 16:48 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Tröder univentionstaff 2015-11-19 11:00:35 CET
ucs/web/overview/entries/service/*/link/de is not removed in postrm → overview contains two empty boxes
Comment 1 Daniel Tröder univentionstaff 2015-11-19 11:01:14 CET
Index: debian/univention-self-service.postrm
===================================================================
--- debian/univention-self-service.postrm	(Revision 65745)
+++ debian/univention-self-service.postrm	(Arbeitskopie)
@@ -46,6 +46,7 @@
 		ucs/web/overview/entries/service/passwordreset/label \
 		ucs/web/overview/entries/service/passwordreset/label/de \
 		ucs/web/overview/entries/service/passwordreset/link \
+		ucs/web/overview/entries/service/passwordreset/link/de \
 		ucs/web/overview/entries/service/passwordreset/port_http \
 		ucs/web/overview/entries/service/passwordreset/port_https
 
@@ -56,6 +57,7 @@
 		ucs/web/overview/entries/service/passwordchange/label \
 		ucs/web/overview/entries/service/passwordchange/label/de \
 		ucs/web/overview/entries/service/passwordchange/link \
+		ucs/web/overview/entries/service/passwordchange/link/de \
 		ucs/web/overview/entries/service/passwordchange/port_http \
 		ucs/web/overview/entries/service/passwordchange/port_https
Comment 2 Daniel Tröder univentionstaff 2015-11-20 15:27:16 CET
Fixed in r65807, incl. YAML.
Comment 3 Florian Best univentionstaff 2015-12-02 17:22:31 CET
OK: no links or blank fields visible on ucs-overview after removal.
Comment 4 Janek Walkenhorst univentionstaff 2015-12-09 16:48:47 CET
<http://errata.software-univention.de/ucs/4.1/24.html>